GWT 2.7.0

## com.google.gwt.layout.client
Class LayoutImplIE8

    java.lang.Object
      com.google.gwt.layout.client.LayoutImpl
          com.google.gwt.layout.client.LayoutImplIE8

    public class LayoutImplIE8

extends LayoutImpl

This implementation is used on IE8. Unlike `LayoutImpl`, it converts all values to pixels before setting them. This is necessary because this browser incorrectly calculates the relative sizes and positions of CSS properties specified in certain units (e.g., when the value of an 'em' is non-integral in pixels).

Field Summary

Fields inherited from class com.google.gwt.layout.client.LayoutImpl
`relativeRuler`

Constructor Summary
`LayoutImplIE8()`

Method Summary
`void` | `layout(Layout.Layer layer)`
`void` | `onDetach(Element parent)`

Methods inherited from class com.google.gwt.layout.client.LayoutImpl
`attachChild, createRuler, fillParent, finalizeLayout, getUnitSizeInPixels, initParent, onAttach, removeChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LayoutImplIE8

    public LayoutImplIE8()

Method Detail

### layout

    public void layout(Layout.Layer layer)

  Overrides:
    `layout` in class `LayoutImpl`

### onDetach

    public void onDetach(Element parent)

  Overrides:
    `onDetach` in class `LayoutImpl`

GWT 2.7.0